Bug 17660 - Any $t subfields not editable in any framework
Summary: Any $t subfields not editable in any framework
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-18 15:05 UTC by Michael Kuhn
Modified: 2017-06-14 22:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17660: #adv is considered as an ad by adblock (1.42 KB, patch)
2016-11-18 15:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17660: #adv is considered as an ad by adblock (1.52 KB, patch)
2016-11-18 17:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 17660: #adv is considered as an ad by adblock (1.54 KB, patch)
2016-11-20 17:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kuhn 2016-11-18 15:05:05 UTC
Trying to change a copy of the standard framework. To catalogue sets with volumes MARC field 773 needs to be unhided in the framework.

It is no problem to unhide 773 $w by clicking on "Advanced constraints" and marking the field "Editor", the click "Save changes".

But also $t (for the title) is needed. There, when clicking on "Advanced constraints", nothing happens, so the tab will not open to mark the field "Editor". Instead, if "Basic constraints" is open, it will close "Basic constraints", but still "Advanced constraints" will not open.

It was possible to export the framework and edit the XML file... in the part of the XML file decribing field 773 $t I found some characters like this:

<ss:Data ss:Type="Number">-6</ss:Data>

and I replaced them by

<ss:Data ss:Type="Number">0</ss:Data>

Now the behaviour while editing of the framework is still as described above (tab "Advanced constraints" won't open). But when actually using the framework during catalogueing, the MARC field 773 is there with both configured subfields $t and $w.

I don't know why the exported XML file has around 4.4 million characters but only 28 lines - this makes it VERY painful to edit this file with an editor like vi. I would prefer a more structured file with more lines that are actually editable.
Comment 1 Michael Kuhn 2016-11-18 15:20:40 UTC
As pointed out by Marjorie Barry-Vila this behaviour changes when Adblock is deactivated in the local webbrowser. With deactivated Adblock field 773 $t is editable in the framework editor. While with activated adblock all fields are editable but 773 $t.
Comment 2 Michael Kuhn 2016-11-18 15:24:03 UTC
And there is more information:

The URL of tab "t" for ANY framework is /cgi-bin/koha/admin/marc_subfields_structure.pl?op=add_form&tagfield=610&frameworkcode=$MON#advt

"advt" is considered as an advertisement by Adblock.
Comment 3 Jonathan Druart 2016-11-18 15:27:42 UTC
Created attachment 57649 [details] [review]
Bug 17660: #adv is considered as an ad by adblock

So let's rename it!

Test plan:
Edit a $t in any framework, you should be able to unfold the "Advanced
constraints" part
Comment 4 Owen Leonard 2016-11-18 17:46:00 UTC
Created attachment 57660 [details] [review]
[SIGNED-OFF] Bug 17660: #adv is considered as an ad by adblock

So let's rename it!

Test plan:
Edit a $t in any framework, you should be able to unfold the "Advanced
constraints" part

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2016-11-20 17:49:53 UTC
Created attachment 57665 [details] [review]
[PASSED QA] Bug 17660: #adv is considered as an ad by adblock

So let's rename it!

Test plan:
Edit a $t in any framework, you should be able to unfold the "Advanced
constraints" part

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 6 Kyle M Hall 2016-11-21 16:29:48 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 7 Julian Maurice 2016-11-30 13:38:11 UTC
Pushed to 3.22.x, will be in 3.22.13
Comment 8 Mason James 2017-01-29 11:32:45 UTC
Pushed to 16.05.x, for 16.05.06 release